#
# Aura Engine (https://gitlab.servus.at/aura/engine)
#
# Copyright (C) 2020 - The Aura Engine Team.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.



import logging

class TrackserviceHandler():
    """
    Sends the trackservice entry to the `engine-api` REST endpoint.
    """
    logger = None
    config = None
    soundsystem = None


    def __init__(self, config, soundsystem):
        """
        Initialize.
        """
        self.logger = logging.getLogger("AuraEngine")
        self.config = config
        self.soundsystem = soundsystem


    def on_play(self, entry):
        """
        Some track started playing.
        """
        self.logger.info("::: CALLED TRACKSERVICE HANDLER :::")
        self.logger.info("PLAYING: %s <<< " % (str(entry)))
        self.store_trackservice(entry)
        self.store_schedule(entry)


    def store_trackservice(self, entry):
        """
        Posts the given `PlaylistEntry` to the Engine API Trackservice.
        """

    def store_schedule(self, entry):
        """
        Posts the given `PlaylistEntry` to the Engine API Clock Data.
        """
